aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "John Sirois (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AURORA-1663) Wrong version of VirtualBox guest additions
Date Thu, 14 Apr 2016 20:19:25 GMT

    [ https://issues.apache.org/jira/browse/AURORA-1663?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15241819#comment-15241819
] 

John Sirois commented on AURORA-1663:
-------------------------------------

It does work properly, although there is a known issue at the moment.
The workaround I [found|https://github.com/dotless-de/vagrant-vbguest/issues/95#issuecomment-163777475]
was to add `/etc/init/vboxadd.conf` with contents:
{noformat}
description "VirtualBox Linux Additions"

start on runlevel [2345]
stop on runlevel [!2345]

respawn
exec /sbin/rcvboxadd start
{noformat}

That seemed like too much detail for the docs though since this is likely a transient bug
that will change with point releases of either the plugin of VirtualBox.

My doc update does point out the warning is likely harmless but provides vagrant-vbguest as
an option to try.
I don't see a way to have our Aurora image compatible with all user's VirtualBox version for
the guest additions.

If you have other ideas, I'm all ears.

> Wrong version of VirtualBox guest additions
> -------------------------------------------
>
>                 Key: AURORA-1663
>                 URL: https://issues.apache.org/jira/browse/AURORA-1663
>             Project: Aurora
>          Issue Type: Bug
>          Components: Deploy
>         Environment: Windows, VirtualBox5
>            Reporter: Vitaly Stakhovsky
>            Assignee: John Sirois
>            Priority: Minor
>
> I follow the instructions on the 'Getting Started' page for Windows. If I use VirtualBox
5, I am getting a warning:
> The guest additions on this VM do not match the installed version of VirtualBox!
> ... 
> Guest Additions Version: 4.3.36
> VirtualBox Version: 5.0
> Apparently, this is because the apache-aurora/dev-environment Vagrant box is now used
instead of ubuntu/trusty64



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message